# MPE_Describe_state

Describe the attributes of a state without byte informational data in MPI_COMM_WORLD.

## Synopsis

    int MPE_Describe_state( int state_startID, int state_finalID,
                            const char *name, const char *color )

## Input Parameters

state_startID
  event number for the beginning of the state.
state_finalID
  event number for the ending of the state.
name
  name of the state, the maximum length of the NULL-terminated string is, sizeof(CLOG_DESC), 32.
color
  color of the state, the maximum length of the NULL-terminated string is, sizeof(CLOG_COLOR), 24.

## Notes

Adds a state definition to the logfile. States are added to a log file by calling 'MPE_Log_event()' for the start and end event numbers. The function is provided for backward compatibility purpose. Users are urged to use 'MPE_Describe_comm_state()' and 'MPE_Log_comm_event()' instead.

This function is threadsafe.

## See Also

MPE_Log_get_state_eventIDs(), MPE_Describe_comm_state()

Location:../src/logging/src/mpe_log.c